package main

import (
	"os"
	"log"
    "reichard.io/imagini/cmd"
    "github.com/urfave/cli"
)

func main() {
    app := cli.NewApp()
    app.Name = "Imagini"
    app.Usage = "A self hosted photo library."

    app.Commands = []cli.Command{
        cmd.CmdServe,
    }

	err := app.Run(os.Args)
	if err != nil {
		log.Fatal(err)
	}
}
